Bug 145813

Summary: Web Inspector: Unable to select the text of an inline error message
Product: WebKit Reporter: Nikita Vasilyev <nvasilyev>
Component: Web InspectorAssignee: Nikita Vasilyev <nvasilyev>
Status: RESOLVED FIXED    
Severity: Minor CC: buildbot, commit-queue, graouts, joepeck, jonowells, mattbaker, nvasilyev, rniwa, timothy, webkit-bug-importer
Priority: P3 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Animated GIF of the problem
none
Patch
timothy: review+, buildbot: commit-queue-
[Animated GIF] With the patch applied
none
Archive of layout-test-results from ews102 for mac-mavericks
none
Patch none

Description Nikita Vasilyev 2015-06-09 12:56:47 PDT
Created attachment 254593 [details]
Animated GIF of the problem

:(
Comment 1 Radar WebKit Bug Importer 2015-06-09 12:57:01 PDT
<rdar://problem/21306194>
Comment 2 Nikita Vasilyev 2015-06-27 19:19:55 PDT
Created attachment 255714 [details]
Patch
Comment 3 Nikita Vasilyev 2015-06-27 19:20:43 PDT
Created attachment 255715 [details]
[Animated GIF] With the patch applied
Comment 4 Build Bot 2015-06-27 20:15:58 PDT
Comment on attachment 255714 [details]
Patch

Attachment 255714 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5517402502594560

New failing tests:
inspector/debugger/breakpoint-action-eval.html
Comment 5 Build Bot 2015-06-27 20:16:02 PDT
Created attachment 255716 [details]
Archive of layout-test-results from ews102 for mac-mavericks

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-mavericks  Platform: Mac OS X 10.9.5
Comment 6 Timothy Hatcher 2015-06-29 08:46:38 PDT
Comment on attachment 255714 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=255714&action=review

> LayoutTests/TestExpectations:93
> -webkit.org/b/137131 inspector/debugger [ Skip ]
> +#webkit.org/b/137131 inspector/debugger [ Skip ]

Did you mean to include this?

> Source/WebInspectorUI/UserInterface/Views/CodeMirrorOverrides.css:84
> +.CodeMirror-linewidget {

We might want a special class name for these in the future if we need other line widgets. Fine for now.
Comment 7 Nikita Vasilyev 2015-06-29 16:27:15 PDT
(In reply to comment #6)
> Comment on attachment 255714 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=255714&action=review
> 
> > LayoutTests/TestExpectations:93
> > -webkit.org/b/137131 inspector/debugger [ Skip ]
> > +#webkit.org/b/137131 inspector/debugger [ Skip ]
> 
> Did you mean to include this?

No, I didn't realize `git diff HEAD~1` includes uncommitted changes.
Comment 8 Nikita Vasilyev 2015-06-29 16:30:57 PDT
Created attachment 255793 [details]
Patch
Comment 9 WebKit Commit Bot 2015-06-29 17:34:09 PDT
The commit-queue encountered the following flaky tests while processing attachment 255793 [details]:

transitions/default-timing-function.html bug 138901 (author: simon.fraser@apple.com)
The commit-queue is continuing to process your patch.
Comment 10 WebKit Commit Bot 2015-06-29 17:34:13 PDT
The commit-queue encountered the following flaky tests while processing attachment 255793 [details]:

The commit-queue is continuing to process your patch.
Comment 11 WebKit Commit Bot 2015-06-29 17:48:24 PDT
Comment on attachment 255793 [details]
Patch

Clearing flags on attachment: 255793

Committed r186102: <http://trac.webkit.org/changeset/186102>
Comment 12 WebKit Commit Bot 2015-06-29 17:48:30 PDT
All reviewed patches have been landed.  Closing bug.